Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de	

Name:		celt
#Epoch:		0
Version:	0.7.0
Release:	1
License:	BSD
URL:		http://www.celt-codec.org/
Group:		Multimedia/Audio
Summary:	ultra low delay audio codec
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: pkg-config

%description
The CELT codec is a compression algorithm for audio. Like MP3, Vorbis, and AAC it is suitable for transmitting music with high quality. Unlike these formats CELT imposes very little delay on the signal, even less than is typical for speech centric formats like Speex, GSM, or G.729.

Using CELT application developers can build software that allows musicians to perform together across the Internet, or simply build great sounding telephony systems. Why shouldn't your telephone sound as good as your stereo? 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/celtdec
%{_bindir}/celtenc
%{_libdir}/libcelt.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/celt
%{_libdir}/libcelt.a
%{_libdir}/libcelt.la
%{_libdir}/libcelt.so
%{_pkgconfig}/celt.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-1
- initial CCux package release
